Skip to main content
`Ctrl`+`K`

# MatGetVecType

Gets the vector type the matrix will return with `MatCreateVecs()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetVecType(Mat mat, VecType *vtype)

Not Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- vtype - name of vector type

## See Also

Matrices, `Mat`, `MatType`, `MatSetVecType()`, `VecType`

## Level

intermediate

## Location

src/mat/interface/matreg.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages